Subject: bug#42668: 26.1; Undefined functions when calling invoking project.el

From: Dmitry Gutov <[email-masked]>
Date: Mon, 3 Aug 2020 01:06:36 +0300

Hi Philip,

On 02.08.2020 12:07, Philip K. wrote:
> 
> When trying to to use some project.el commands, and noticed that there
> are a (at least) two undefined functions right after loading project.el
> in a vanilla session:

Thank you for testing that.

> - The first complaint is seq-every-p, used by
>    project--read-project-list, but this is "easily" solved by loading
>    seq.el.

That is already fixed on master, should be in the next project.el release.

> - The more critical complaint is that assoc-delete-all, used by
>    project--add-to-project-list-front and
>    project--remove-from-project-list are not loaded or defined in Emacs
>    26.
>    My guess is that this function should be replaced by it's functionally
>    equivalent code, that only uses functions available in Emacs 26?

seq-remove, cl-delete-if (or even cl-delete with :key) seem like the 
prime candidates.